var omnivars = {};
function configOmniture(accounts,pageTrackSuffix, productName, channel, locale, fullProductTitle, publisher, genre, productID,siteType,contentType, charSet, currencyCode, prop4){
	if(siteType===undefined) siteType="microsite";
	if(contentType===undefined) contentType="game";
	if(charSet===undefined) charSet="ISO-8859-1";
	if(currencyCode===undefined) currencyCode="USD";
	if(prop4===undefined) prop4="";
	//internal/custom/handy vars
	omnivars.accounts = accounts;
	var countryCode = locale.split(":",1)
	omnivars.pageTrackPrefix=countryCode+':'+siteType+':'+productName+':'; //"us:microsite:golden sun dark dawn:";
	omnivars.productName=productName;
	//actual omniture properties
	omnivars.pageName=omnivars.pageTrackPrefix+pageTrackSuffix; //"us:microsite:golden sun dark dawn:microsite home";
	omnivars.channel=channel; //"us:microsite:ds";
	omnivars.prop1=countryCode+':'+productName; //"us:golden sun dark dawn";
	omnivars.prop2=contentType; //"game";
	omnivars.prop4=prop4; //"";
	omnivars.prop6=locale; //"us:en";
	omnivars.prop7=productID; //"crazy ass hash value. if you can read this property, it's wrong.";
	omnivars.prop10=fullProductTitle; //"Golden Sun: Dark Dawn";
	omnivars.prop11=genre; //"rpg";
	omnivars.prop12=publisher; //"nintendo";
	omnivars.prop14=siteType; //"microsite";
	omnivars.prop16=countryCode+':'+siteType+':'+productName; //"us:microsite:golden sun dark dawn";
	omnivars.prop24=window.location.host.toString(); //window.location.host.toString(); ;)
	omnivars.charSet=charSet; //"ISO-8859-1";
	omnivars.currencyCode=currencyCode; //"USD";
}

/**
 * returns FlashVars object for use with com.nintendo.common.utils.OmniTracker.
 * values are parsed by initWithFlashvars method. 
 * See documentation in OmniTracker for more info.
 * -cwise at domani studios
 */
function getOmniFlashvars(){
	var omniFlashVars = {}
	omniFlashVars.omni_suites=omnivars.accounts;
	omniFlashVars.omni_channel=omnivars.channel;
	omniFlashVars.omni_prop1=omnivars.prop1;
	omniFlashVars.omni_prop2=omnivars.prop2;
	omniFlashVars.omni_prop4=omnivars.prop4;
	omniFlashVars.omni_prop6=omnivars.prop6;
	omniFlashVars.omni_prop7=omnivars.prop7;
    omniFlashVars.omni_prop10=omnivars.prop10;
    omniFlashVars.omni_prop11=omnivars.prop11;
    omniFlashVars.omni_prop12=omnivars.prop12;
    omniFlashVars.omni_prop14=omnivars.prop14;
    omniFlashVars.omni_prop16=omnivars.prop16;
    omniFlashVars.omni_pageTrackPrefix=omnivars.pageTrackPrefix;
    omniFlashVars.omni_pageURL=omnivars.prop24;
    omniFlashVars.omni_charSet=omnivars.charSet;
    omniFlashVars.omni_currencyCode=omnivars.currencyCode;
	return omniFlashVars;
}
/**
 * tracking methods for newsletter, preorder, buy now, club nintendo, twitter, and facebook.
 */
function trackPreorder(link){
	var s=s_gi(omnivars.accounts);
	s.linkTrackVars='eVar12,events';
	s.linkTrackEvents='event14',
	s.eVar12=omnivars.productName;
	s.events='event26';
	s.tl(link, 'o', 'Preorder Now');
}
function trackBuyNow(link){
	var s=s_gi(omnivars.accounts);
	s.linkTrackVars='eVar12,events';
	s.linkTrackEvents='event14',
	s.eVar12=omnivars.productName;
	s.events='event26';
	s.tl(link, 'o', 'Buy Now');
}
function trackNewsletter(link){
	var s=s_gi(omnivars.accounts);
	s.linkTrackVars='eVar11,events';
	s.linkTrackEvents='event26',
	s.eVar11=omnivars.productName;
	s.events='event26';
	s.tl(link, 'o', 'Newsletter');
}
function trackClubNintendo(link){ 
	var s=s_gi(omnivars.accounts);
	s.linkTrackVars='eVar11,events'; 
	s.linkTrackEvents='event16', s.eVar11=omnivars.productName;
	s.events='event16'; 
	s.tl(link, 'o', 'Club Nintendo');
}
function trackTwitter(link){
	var s=s_gi(omnivars.accounts);
	s.linkTrackVars='eVar22,events';
	s.linkTrackEvents='event24',
	s.eVar22='Twitter';
	s.events='event24';
	s.tl(link, 'o', 'Twitter');
}
function trackFacebook(link){
	var s=s_gi(omnivars.accounts);
	s.linkTrackVars='eVar22,events';
	s.linkTrackEvents='event24',
	s.eVar22='Facebook';
	s.events='event24';
	s.tl(link, 'o', 'Facebook');
	return fbs_click();
}